JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
CodeEditorComponent::ColourScheme Struct Reference
juce_gui_extra » code_editor

Defines a syntax highlighting colour scheme. More...

`#include <juce_CodeEditorComponent.h>`

## Classes
struct | TokenType
| Defines a colour for a token type. More...

## Public Member Functions
void | set (const String &name, Colour colour)

## Public Attributes
Array< TokenType > | types

## Detailed Description

Defines a syntax highlighting colour scheme.

## Member Function Documentation

## ◆ set()

void CodeEditorComponent::ColourScheme::set | ( | const String & | name,
|  | Colour | colour )

## Member Data Documentation

## ◆ types

Array<TokenType> CodeEditorComponent::ColourScheme::types

The documentation for this struct was generated from the following file:

- juce_CodeEditorComponent.h